com.hazelcast.core

## Class HazelcastJsonValue

- java.lang.Object
- - com.hazelcast.core.HazelcastJsonValue

-     public final class HazelcastJsonValue
      extends Object

  HazelcastJsonValue is a wrapper for Json formatted strings. It is preferred to store HazelcastJsonValue instead of Strings for Json formatted strings. Users can run predicates/aggregations and use indexes on the attributes of the underlying Json strings. HazelcastJsonValue is queried using Hazelcast's querying language. See `Predicates`. In terms of querying, numbers in Json strings are treated as either `Long` or `Double`. Strings, booleans and null are treated as their Java counterparts. HazelcastJsonValue keeps given string as it is. Strings are not checked for being valid. Ill-formatted json strings may cause false positive or false negative results in queries. `null` string is not allowed.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HazelcastJsonValue(String string)` Creates a HazelcastJsonValue from given string.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `int` | `hashCode()`
    `String` | `toString()` Returns unaltered string that was used to create this object.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HazelcastJsonValue

          public HazelcastJsonValue(String string)

      Creates a HazelcastJsonValue from given string.
      Parameters:
        `string` - a non null Json string

  - ### Method Detail

    - #### toString

          public String toString()

      Returns unaltered string that was used to create this object.
      Overrides:
        `toString` in class `Object`
      Returns:
        original string

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2019. All rights reserved.